Skip to main content

GetImageOsdConfig / SetImageOsdConfig

Get or set OSD (On-Screen Display) text overlay configuration for timestamp and channel name.

Endpoint

FieldValue
MethodPOST or GET (Get) / POST (Set)
URL (Get)http://<host>[:port]/GetImageOsdConfig[/channelId]
URL (Set)http://<host>[:port]/SetImageOsdConfig[/channelId]
ProductsIPC
Channel IDOptional (default 1)
v1.9 Only

This command is available on v1.9 firmware only.

Response Fields

FieldTypeDescription
time.switchbooleanEnable/disable timestamp overlay
time.Xuint32Timestamp X position (0--10000)
time.Yuint32Timestamp Y position (0--10000)
time.dateFormatdateFormatDate display format
channelName.switchbooleanEnable/disable channel name overlay
channelName.Xuint32Channel name X position (0--10000)
channelName.Yuint32Channel name Y position (0--10000)
channelName.namestringChannel name text (max 19 chars)

Date Format Values

ValueExample
year-month-day2024-08-21
month-day-year08-21-2024
day-month-year21-08-2024

Response

<?xml version="1.0" encoding="UTF-8"?>
<config version="1.0" xmlns="http://www.ipc.com/ver10">
<types>
<dateFormat>
<enum>year-month-day</enum>
<enum>month-day-year</enum>
<enum>day-month-year</enum>
</dateFormat>
</types>
<imageOsd>
<time>
<switch type="boolean">true</switch>
<X type="uint32">0</X>
<Y type="uint32">0</Y>
<dateFormat type="dateFormat">year-month-day</dateFormat>
</time>
<channelName>
<switch type="boolean">false</switch>
<X type="uint32">0</X>
<Y type="uint32">0</Y>
<name type="string" maxLen="19"><![CDATA[name]]></name>
</channelName>
</imageOsd>
</config>

Notes

  • X and Y coordinates use a 10000x10000 normalized grid. Position (0, 0) is the top-left corner, (10000, 10000) is the bottom-right.
  • The channel name text is limited to 19 characters.
  • Both the timestamp and channel name overlays can be independently enabled/disabled and positioned.